/*
 * vcard.h
 *
 * Copyright 2019 Michael Rasmussen <mir@datanom.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 */

#ifndef __VCARD_H__
#define __VCARD_H__

#include <glib.h>

G_BEGIN_DECLS

#include <stdio.h>
#include <globals.h>

//VCard* VCard_new(VCardVersion version);
GSList* VCard_new_from_text(const gchar* text, VCardVersion version, gboolean skip_broken);
GSList* VCard_new_from_file(FILE* file, VCardVersion version, gboolean skip_broken);
void VCard_free(VCard* object);
void VCard_list_free(GSList* list);

void VCard_print_list(GSList* list);
void VCard_print_list_fd(GSList* list, int fd);
void VCard_print(VCard* object);
void VCard_print_fd(VCard* object, int fd);
gchar* VCard_get_state(VCard* object);
GSList* VCard_get_property(VCard* object, const gchar* property);

G_END_DECLS

#endif
